﻿@remoteScope 
Feature: Project Remote Scope

Rule: Initialize & extend Project Remote Scope

@tc:1446
Scenario: Linked test cases are added to Project Remote Scope
	Given there is an Azure DevOps project
	And the synchronizer is configured as
		| setting           | value   |
		| remote/scope/type | project |
	And there is a feature file in the local repository
		"""
		Feature: My Feature
		Scenario: Scenario 1
			When I do something
		Scenario: Scenario 2
			When I do something
		"""
	When the local repository is synchronized with push
	Then the remote scope should contain the following Test Cases
		| test case            |
		| Scenario: Scenario 1 |
		| Scenario: Scenario 2 |


Rule: Remove Test Cases from Project Remote Scope

@tc:1447
Scenario: The Test Case of a deleted scenario is removed from Project Remote Scope
	Given there is an Azure DevOps project
	And the synchronizer is configured as
		| setting           | value   |
		| remote/scope/type | project |
	And there is an existing synchronized feature file
		"""
		Feature: My Feature

		@tc:[id-of-test-case-1]
		Scenario: Scenario 1
			When I do something

		@tc:[id-of-test-case-2]
		Scenario: Scenario 2
			When I do something
		"""
	When the feature file is updated to:
		"""
		Feature: My Feature

		# Scenario 1 deleted

		@tc:[id-of-test-case-2]
		Scenario: Scenario 2
			When I do something
		"""
	And the local repository is synchronized with push
	Then the remote scope should contain the following Test Cases
		| test case            |
		| Scenario: Scenario 2 |
